Description: No X11 Extras
 No X11 Extras
 .
 kglife (1.0-11) jammy; urgency=high
 .
   * No X11Extras under Noble
Author: Eugene E. Sorochinskiy <manager@darkguard.net>

---
The information above should follow the Patch Tagging Guidelines, please
checkout https://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: (upstream|backport|vendor|other), (<patch-url>|commit:<commit-id>)
Bug: <upstream-bugtracker-url>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: (no|not-needed|<patch-forwarded-url>)
Applied-Upstream: <version>, (<commit-url>|commit:<commid-id>)
Reviewed-By: <name and email of someone who approved/reviewed the patch>
Last-Update: 2024-11-09

--- kglife-1.0.orig/CMakeLists.txt
+++ kglife-1.0/CMakeLists.txt
@@ -11,7 +11,7 @@ set(DOC_DIR doc)
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(ECMSetupVersion)
-set(KGLIFE_VERSION "1.0.10")
+set(KGLIFE_VERSION "1.0.11")
 ecm_setup_version(${KGLIFE_VERSION}
         VARIABLE_PREFIX KGLIFE
         VERSION_HEADER kglife_version.h)
--- kglife-1.0.orig/main.cpp
+++ kglife-1.0/main.cpp
@@ -11,7 +11,6 @@
 #include <KMessageBox>
 #include "mainwindow.h"
 #include "kglife_version.h"
-#include <KX11Extras>
 #include <KWindowSystem>
 
 
@@ -77,7 +76,7 @@ int main(int argc, char *argv[]) {
 
     if (is_running) {
         if (KWindowSystem::isPlatformX11()) {
-            KX11Extras::activateWindow(wid, std::time(nullptr));
+            KWindowSystem::activateWindow(wid, std::time(nullptr));
         } else {
             KMessageBox::error(nullptr, i18n("Application Already Running"), i18n("Already Running"));
         }
